
rgw - Bug #8971

Bug # 8621 (Resolved): civetweb frontend fails authentication if URL has special chars

rgw: s3 test failures with civetweb 

07/30/2014 11:27 AM - Tamilarasi muthamizhan

Status: Duplicate % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee: Yehuda Sadeh   

Category:    

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

teuthology logs are copied to ubuntu@mira023.front.sepia.ceph.com:/home/ubuntu/civetweb_s3

config.yaml:

overrides:

  rgw:

    frontend: civetweb

roles:

- [mon.a, mds.a, osd.0, osd.1, osd.2]

- [mon.b, mon.c, osd.3, osd.4, osd.5, client.0]

targets:

  ubuntu@mira023.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCn68M4okUoKZ+8Mz6Izfh

+v7IQdmoXLvO0AA2uR8dBlZobVvJ9NXvXsoIP3SkweWyUf3RIeglkCMIdZN/2Wp2xorN925RFOM9v3Iyr+FMlIZGrQZSVQUhtL

7vQpwrQ0FUygk54LLgmPt8uvi0u8p+pCUKDl5bUSt+IoEbwoRK4uNToL3+WUs/O/i51/OT62X3btZgYcZD/jbhQiicHD1U9Tm8

DmBxn95spn6SNTDuCoviuqxmrG+CoNPEPxAi4FxAX4vZbiOxP6Kb6UuP5XMVw1lxeLeuwr9QT8Kzw9SIPwhdDZm4bWZmbu5ZCg

5TbcabBhoxNc67lIiOfQBKj60Qf

  ubuntu@mira042.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQD5mVeceNoTxd9OiOWol4C

4XNAXgmBn6ddzHTPr12cZWOWuoBXtDHM3wm+23v55LSXkglU6/zVAJPxipai0CzWgfjC/0cIo7eBps9KvgnSYKEyOT47GlLIWO

l84dWqWbDq1lhU4MMIk+7keq5Q6LDf/Xo8+I0NGxntqH5Q8jk32Kkv4ms6GuL7GlMWr8BrfQ5V3QhXeKIV7EQiMSpMT+N4XqO0

bEN3v7u0a0jckGuxnrsyCLHfWfJWs28DGWos6VnFiXV1k0rXTQYVXNzlPjFl2KqPZo9Pp+IosHakvsy60XAa4pZYGZd7dvBTOc

ijZ8aOvqq3rLQxf6ZBuTW9nCGet

tasks:

- chef:

- install:

    branch: firefly

- ceph:

- rgw: [client.0]

- s3tests:

    client.0:

      rgw_server: client.0

History

#1 - 07/31/2014 09:31 AM - Sage Weil

- Priority changed from Normal to High
#2 - 08/14/2014 05:56 PM - Tamilarasi muthamizhan

s3tests now pass on wip-8621 branch.

#3 - 08/14/2014 05:57 PM - Tamilarasi muthamizhan

- Status changed from New to Duplicate

- Parent task set to #8621
